using Kivii;
using Kivii.DataAnnotations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Njust.Pdf.Analysis.Entities
{
    [Alias(Configs.TableAuthorName)]
    [Api(Description = "作者表")]
    public class Author:EntityWithMetadata
    {
        [ApiMember(Description = "作者")]
        [Required]
        public string Name { get; set; }

        [ApiMember(Description = "语言")]
        public string Language { get; set; }

        [ApiMember(Description = "所属领域")]
        public string DomainName { get; set; }

        [DefaultEmptyGuid]
        public Guid AnalyseKvid { get; set; }
    }
}
